Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.types
Class SkeletonFactor

    java.lang.Object
      cc.mallet.grmm.types.AbstractFactor
          cc.mallet.grmm.types.SkeletonFactor

All Implemented Interfaces:
  Factor, java.io.Serializable, java.lang.Cloneable

    public class SkeletonFactor

extends AbstractFactor

A subclass of Factor in which all operations throw an UnsupportedOperationException. This is useful for creating special-purpose factor classes that support only a few operations. $Id: SkeletonFactor.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.grmm.types.AbstractFactor
`vars`

Constructor Summary
`SkeletonFactor()`

Method Summary
`boolean` | `almostEquals(Factor p, double epsilon)`
`java.lang.String` | `dumpToString()`
`Factor` | `duplicate()`
`protected Factor` | `extractMaxInternal(VarSet varSet)`
`boolean` | `isNaN()`
`protected double` | `lookupValueInternal(int i)`
`protected Factor` | `marginalizeInternal(VarSet varsToKeep)`
`Factor` | `normalize()` Multiplies this potential by a constant such that it sums to 1.
`Assignment` | `sample(Randoms r)` Return an assignment sampled from this factor, interpreting it as an unnormalized probability distribution.
`Factor` | `slice(Assignment assn)`

Methods inherited from class cc.mallet.grmm.types.AbstractFactor
`almostEquals, argmax, assignmentIterator, asTable, containsVar, delogify, divideBy, entropy, exponentiate, extractMax, extractMax, extractMax, getVariable, isInLogSpace, log, logify, logValue, logValue, logValue, marginalize, marginalize, marginalize, marginalizeOut, marginalizeOut, multiply, multiplyBy, phi, setVarSet, sum, value, value, varSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkeletonFactor

    public SkeletonFactor()

Method Detail

### extractMaxInternal

    protected Factor extractMaxInternal(VarSet varSet)

  Specified by:
    `extractMaxInternal` in class `AbstractFactor`

### lookupValueInternal

    protected double lookupValueInternal(int i)

  Specified by:
    `lookupValueInternal` in class `AbstractFactor`

### marginalizeInternal

    protected Factor marginalizeInternal(VarSet varsToKeep)

  Specified by:
    `marginalizeInternal` in class `AbstractFactor`

### almostEquals

    public boolean almostEquals(Factor p,
                                double epsilon)

### isNaN

    public boolean isNaN()

### normalize

    public Factor normalize()

  Description copied from interface: `Factor`
  Multiplies this potential by a constant such that it sums to 1. Destructive; returns this factor.

### sample

    public Assignment sample(Randoms r)

  Description copied from interface: `Factor`
  Return an assignment sampled from this factor, interpreting it as an unnormalized probability distribution.

  Specified by:
    `sample` in interface `Factor`
  Overrides:
    `sample` in class `AbstractFactor`

### duplicate

    public Factor duplicate()

### dumpToString

    public java.lang.String dumpToString()

### slice

    public Factor slice(Assignment assn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD